PCI/internal sound card not detected

Bug #1864061 reported by roland
178
This bug affects 34 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Invalid
Undecided
Hui Wang
Bionic
Invalid
Undecided
Unassigned
Eoan
Fix Released
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Invalid
Undecided
Unassigned
Bionic
Fix Released
Undecided
Unassigned
Eoan
Fix Released
Undecided
Unassigned

Bug Description

The sof-pci-dev and snd-soc-skl all contains the same pciid, if
the soc-skl is loaded ahead of sof-pci-dev, the sof driver will
not work anymore, in the oem project, we manually put the soc-skl
in the blacklist.

From kernel-5.4 (focal kernel), the driver soc-skl is disabled by
default, and there is no users report any issues on it. So let us
disable soc-skl in the eoan and osp1 kernel too.

The patch for eoan kernel doesn't remove the modules because looks
like the abi folder are not controlled by git. This will break the
modulecheck, so if this patch could be merged, please help remove
those modules:
snd-soc-skl
snd-soc-skl-ipc
snd-soc-skl-ssp-clk

[Impact]
If soc-skl driver is loaded ahead of sof driver, the sof could
not work anymore, we need to blacklist the soc-skl manually

[Fix]
Like the focal kernel, we disable the soc_skl driver in the kernel
config

[Test Case]
Tested on Lenovo and Dell machines which has dmic, the sof driver
could be loaded successfully.

Tested on the machinces without the dmic, the legacy hda driver
worked well as before.

[Regression Risk]
Low, Focal kernel and mainine-5.5, 5.6-rc kernel all disabled this
dirver; and We have not met a machine need the soc_skl driver yet;
and Intel claim that the sof could replace the soc_skl driver.

In the -41 kernel, we introduced a patch from stable kernel, that
make the sof driver crash, and there is a fix patch in the 5.6-rc1,
and this fix patch is already in the stable and is merged to focal
kernel, now we backport this patch to Eoan kernel if -42 doesn't
introduce this fix patch from stable.

The patch introduced the crash:
commit 063821115e02229d5fd3de31bad270d5e30aeb41
Author: Dragos Tarcatu <email address hidden>
Date: Mon Dec 9 18:39:38 2019 -0600

    ASoC: topology: Check return value for snd_soc_add_dai_link()

    BugLink: https://bugs.launchpad.net/bugs/1861929

    [ Upstream commit 76d2703649321c296df7ec0dafd50add96215de4 ]

    snd_soc_add_dai_link() might fail. This situation occurs for
    instance in a very specific use case where a PCM device and a
    Back End DAI link are given identical names in the topology.
    When this happens, soc_new_pcm_runtime() fails and then
    snd_soc_add_dai_link() returns -ENOMEM when called from
    soc_tplg_fe_link_create(). Because of that, the link will not
    get added into the card list, so any attempt to remove it later
    ends up in a panic.

    Fix that by checking the return status and free the memory in case
    of an error.

    Reviewed-by: Ranjani Sridharan <email address hidden>
    Signed-off-by: Dragos Tarcatu <email address hidden>
    Signed-off-by: Pierre-Louis Bossart <email address hidden>
    Link: https://<email address hidden>
    Signed-off-by: Mark Brown <email address hidden>
    Signed-off-by: Sasha Levin <email address hidden>
    Signed-off-by: Kamal Mostafa <email address hidden>
    Signed-off-by: Khalid Elmously <email address hidden>

[Impact]
During the boot, the sof driver crash because the hdmi_pcm_list
is not initialized before it is used.

[Fix]
This bug is fixed in the mainline kernel v5.6-rc1, now backport
this patch to ubuntu kernel

[Test Case]
Boot the -41 kernel with this patch added.
blacklist the snd_soc_skl
the kernel can boot successfully, and sof driver worked well

[Regression Risk]
Low, the patches are backported from upstream kernel, and I tested
this patch on Lenovo and Dell dmic machines. Focal kernel already
has this patch and works well.

Probably a kernel bug.

The sound card isn't detected in 5.3.0-41-generic
Booting 5.3.0-40-generic does work.

The relevant dmesg message is:

[ 9.845441] skl_hda_dsp_generic skl_hda_dsp_generic: Unsupported HDAudio/iDisp configuration found
[ 9.845447] skl_hda_dsp_generic: probe of skl_hda_dsp_generic failed with error -22

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 5.3.0-41.33-generic 5.3.18
Uname: Linux 5.3.0-41-generic x86_64
ApportVersion: 2.20.11-0ubuntu8.4
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: ubuntu:GNOME
Date: Thu Feb 20 16:46:21 2020
InstallationDate: Installed on 2019-10-07 (136 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: Upgraded to eoan on 2019-11-19 (93 days ago)
dmi.bios.date: 01/15/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: N2HET44W (1.27 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20QDCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN2HET44W(1.27):bd01/15/2020:svnLENOVO:pn20QDCTO1WW:pvrThinkPadX1Carbon7th:rvnLENOVO:rn20QDCTO1WW:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad X1 Carbon 7th
dmi.product.name: 20QDCTO1WW
dmi.product.sku: LENOVO_MT_20QD_BU_Think_FM_ThinkPad X1 Carbon 7th
dmi.product.version: ThinkPad X1 Carbon 7th
dmi.sys.vendor: LENOVO

Revision history for this message
roland (roland-micite) wrote :
affects: ubuntu → alsa-driver (Ubuntu)
Revision history for this message
roland (roland-micite) wrote :

It seems there were some fixes in the new kernel for the intel sound system.
Including some for the Lenovo X1 carbon 7th gen.

https://launchpad.net/ubuntu/+source/linux/5.3.0-41.33

Revision history for this message
Hui Wang (hui.wang) wrote :

This machine has dmic on it, so the legacy hda abort the probe:
snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, aborting probe

And if want the legacy hda driver to work, please add options snd-hda-intel dmic_detect=0 in the /etc/modprobe.d/alsa-base.conf

This is a machine which has dmic on it, so please blacklist snd_soc_skl driver through /etc/modporbe.d/balcklist.conf, then the sof driver will be loaded.

And if there is some issue, I will fix it, I am working on the the sof driver for eoan kernel now.

Hui Wang (hui.wang)
description: updated
Revision history for this message
roland (roland-micite) wrote :

Thank you for your response.

I've blacklisted the driver:
$ cat /etc/modprobe.d/blacklist.conf |grep snd_soc_skl
blacklist snd_soc_skl

It didn't help. Sound still has the dummy output.

I've added the dmesg log.
Which includes a call Trace and multiple errors regarding the sound driver.

Hui Wang (hui.wang)
description: updated
Timo Aaltonen (tjaalton)
affects: alsa-driver (Ubuntu) → linux-oem-osp1 (Ubuntu)
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
Revision history for this message
roland (roland-micite) wrote :

@tjaalton You mention a fix is commited.

I would like to test the fix.
Is it in proposed already?

Revision history for this message
roland (roland-micite) wrote :

@tjaalton you changed the package to linux-oem-osp1.
I don't have linux-oem-osp1 installed. So, it happens in multiple kernel packages.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

I know, it's committed to linux-oem-osp1 and it's not available yet. For the stock kernel package you'll need to wait even longer.

Changed in linux (Ubuntu Bionic):
status: New → Invalid
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Eoan):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu):
status: New → Invalid
Revision history for this message
roland (roland-micite) wrote :

Is there a way I can work around?
Maybe via blacklists?

Revision history for this message
Hui Wang (hui.wang) wrote :

Please add "options snd-hda-intel dmic_detect=0" in the /etc/modprobe.d/alsa-base.conf, then the legacy hda driver will work as before.

I am working on it, will fix it soon.

Changed in linux (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Eoan):
status: New → Confirmed
Revision history for this message
Hui Wang (hui.wang) wrote :

The -41 introduced this commit from stable kernel, after reverting it, the sof driver will not print calltrace anymore (#4). And the kernle-5.4 (focal) also backported this commit, but it doesn't introduce the calltrace in the 5.4 kernel. So it looks like to backport this commit to 5.3, we need something else which is not in kernel-5.3 but is in the kernel-5.4.

commit 063821115e02229d5fd3de31bad270d5e30aeb41
Author: Dragos Tarcatu <email address hidden>
Date: Mon Dec 9 18:39:38 2019 -0600

    ASoC: topology: Check return value for snd_soc_add_dai_link()

    BugLink: https://bugs.launchpad.net/bugs/1861929

    [ Upstream commit 76d2703649321c296df7ec0dafd50add96215de4 ]

    snd_soc_add_dai_link() might fail. This situation occurs for
    instance in a very specific use case where a PCM device and a
    Back End DAI link are given identical names in the topology.
    When this happens, soc_new_pcm_runtime() fails and then
    snd_soc_add_dai_link() returns -ENOMEM when called from
    soc_tplg_fe_link_create(). Because of that, the link will not
    get added into the card list, so any attempt to remove it later
    ends up in a panic.

    Fix that by checking the return status and free the memory in case
    of an error.

    Reviewed-by: Ranjani Sridharan <email address hidden>
    Signed-off-by: Dragos Tarcatu <email address hidden>
    Signed-off-by: Pierre-Louis Bossart <email address hidden>
    Link: https://<email address hidden>
    Signed-off-by: Mark Brown <email address hidden>
    Signed-off-by: Sasha Levin <email address hidden>
    Signed-off-by: Kamal Mostafa <email address hidden>
    Signed-off-by: Khalid Elmously <email address hidden>

Revision history for this message
Hui Wang (hui.wang) wrote :

We need to backport the this commint, this is already backported to 5.4 focal kernel, but it is not in the eoan kernel yet:

commit 8ce1cbd6ce0b1bda0c980c64fee4c1e1378355f1
Author: Jaroslav Kysela <email address hidden>
Date: Wed Jan 22 20:07:52 2020 +0100

    ASoC: topology: fix soc_tplg_fe_link_create() - link->dobj initialization order

    The code which checks the return value for snd_soc_add_dai_link() call
    in soc_tplg_fe_link_create() moved the snd_soc_add_dai_link() call before
    link->dobj members initialization.

    While it does not affect the latest kernels, the old soc-core.c code
    in the stable kernels is affected. The snd_soc_add_dai_link() function uses
    the link->dobj.type member to check, if the link structure is valid.

    Reorder the link->dobj initialization to make things work again.
    It's harmless for the recent code (and the structure should be properly
    initialized before other calls anyway).

    The problem is in stable linux-5.4.y since version 5.4.11 when the
    upstream commit 76d270364932 was applied.

    Fixes: 76d270364932 ("ASoC: topology: Check return value for snd_soc_add_dai_link()")
    Cc: Dragos Tarcatu <email address hidden>
    Cc: Pierre-Louis Bossart <email address hidden>
    Cc: Ranjani Sridharan <email address hidden>
    Cc: Mark Brown <email address hidden>
    Cc: <email address hidden>
    Signed-off-by: Jaroslav Kysela <email address hidden>
    Link: https://<email address hidden>
    Signed-off-by: Mark Brown <email address hidden>

Hui Wang (hui.wang)
description: updated
Revision history for this message
roland (roland-micite) wrote :

> Please add "options snd-hda-intel dmic_detect=0" in the /etc/modprobe.d/alsa-base.conf, then the legacy hda driver will work as before.

Can confirm. This works.

Revision history for this message
roland (roland-micite) wrote :

Loading the old driver, also seems to fixed my problems with suspend and resume.

Thanks for the information you've given so quickly.

Changed in linux (Ubuntu Eoan):
status: Confirmed → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1043.48

---------------
linux-oem-osp1 (5.0.0-1043.48) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1043.48 -proposed tracker (LP: #1867111)

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - SAUCE: Input: i8042 - Fix the selftest retry logic

  * r8152 init may take up to 40 seconds at initialization with Dell WD19/WD19DC
    during hotplug (LP: #1864284)
    - UBUNTU SAUCE: r8151: check disconnect status after long sleep

  * Miscellaneous Ubuntu changes
    - [Config] Bump the GCC version

 -- Timo Aaltonen <email address hidden> Thu, 12 Mar 2020 11:14:40 +0200

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
roland (roland-micite) wrote :

The bug is fixed. I already had proposed updates enabled.

It works with this kernel:
Linux MiX 5.3.0-43-generic #36-Ubuntu SMP Mon Mar 16 13:29:01 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

I do have however other problems.
The microphone isn't working and it's not detected as a 4.0 sound system.
Should this be another bug report?

Revision history for this message
roland (roland-micite) wrote :

It seems it fixed some things. There are even more problems now.

- Changing sound cards and output in settings is making my system unresponsive for multiple seconds.

With these errors in my dmesg:

[di mrt 17 22:56:30 2020] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
[di mrt 17 22:56:31 2020] sof-audio-pci 0000:00:1f.3: firmware boot complete
[di mrt 17 22:58:23 2020] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
[di mrt 17 22:58:23 2020] sof-audio-pci 0000:00:1f.3: firmware boot complete
[di mrt 17 22:58:37 2020] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[di mrt 17 22:58:53 2020] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
[di mrt 17 22:58:53 2020] sof-audio-pci 0000:00:1f.3: firmware boot complete
[di mrt 17 22:59:31 2020] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
[di mrt 17 22:59:31 2020] sof-audio-pci 0000:00:1f.3: firmware boot complete

Revision history for this message
roland (roland-micite) wrote :

The hang/unresponsive system is an intel gpu problem:
Due to: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1861395

And yes, I can confirm, this bug is fixed with the latest kernel.

tags: added: verification-done-eoan
removed: verification-needed-eoan
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1043.48

---------------
linux-oem-osp1 (5.0.0-1043.48) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1043.48 -proposed tracker (LP: #1867111)

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - SAUCE: Input: i8042 - Fix the selftest retry logic

  * r8152 init may take up to 40 seconds at initialization with Dell WD19/WD19DC
    during hotplug (LP: #1864284)
    - UBUNTU SAUCE: r8151: check disconnect status after long sleep

  * Miscellaneous Ubuntu changes
    - [Config] Bump the GCC version

 -- Timo Aaltonen <email address hidden> Thu, 12 Mar 2020 11:14:40 +0200

Changed in linux-oem-osp1 (Ubuntu Eoan):
status: Invalid → Fix Released
Revision history for this message
Jean- (jean-helou) wrote :

I just upgraded my ubuntu 19.10 and suddenly lost my sound card. Kernel was updated from 5.3.0-40 to 5.3.0-42. This switched the sound driver from snd_hda to snd_soc which sounds very promising but it seems a firmware is missing and it is unclear where we are supposed to get the firmware from.

```
dmesg | grep -C1 -E 'ALSA|HDA|HDMI|sof|snd[_-]|sound|hda.codec|hda.intel'
[ 0.261825] ACPI: Added _OSI(Linux-Dell-Video)
[ 0.261827] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[ 0.261828] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
--
[ 1.801143] integrity: Loading X.509 certificate: UEFI:db
[ 1.801169] integrity: Loaded X.509 cert 'Microsoft Corporation UEFI CA 2011: 13adbf4309bd82709c8cd54f316ed522988a1bd4'
[ 1.801169] integrity: Loading X.509 certificate: UEFI:db
[ 1.801179] integrity: Loaded X.509 cert 'Microsoft Windows Production PCA 2011: a92902398e16c49778cd90f99e4f9ae17c55af53'
[ 1.801839] ima: Allocated hash algorithm: sha1
--
[ 10.292817] input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input11
[ 10.292946] snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, aborting probe
[ 10.295854] iwlwifi 0000:00:14.3: Found debug destination: EXTERNAL_DRAM
--
[ 10.413077] iwlwifi 0000:00:14.3: base HW address: dc:71:96:b9:0a:d2
[ 10.416236] snd_soc_skl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040380
[ 10.433330] snd_soc_skl 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 10.482071] ieee80211 phy0: Selected rate control algorithm 'iwl-mvm-rs'
--
[ 10.566796] iwlwifi 0000:00:14.3 wlp0s20f3: renamed from wlan0
[ 10.594049] HDMI HDA Codec ehdaudio0D2: Max dais supported: 3
[ 10.596829] snd_soc_skl 0000:00:1f.3: Direct firmware load for 9dc8-LENOVO-TP-N2H-4752-tplg.bin failed with error -2
[ 10.596831] snd_soc_skl 0000:00:1f.3: tplg fw 9dc8-LENOVO-TP-N2H-4752-tplg.bin load failed with -2, falling back to dfw_sst.bin
[ 10.596845] snd_soc_skl 0000:00:1f.3: Direct firmware load for dfw_sst.bin failed with error -2
[ 10.596846] snd_soc_skl 0000:00:1f.3: Fallback tplg fw dfw_sst.bin load failed with -2
[ 10.596849] snd_soc_skl 0000:00:1f.3: Failed to init topology!
[ 10.596850] snd_soc_skl 0000:00:1f.3: ASoC: failed to probe component -2
[ 10.596859] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: failed to instantiate card -2

```

other people who encounter issues with 5.3.0-42 :
- https://askubuntu.com/questions/1218058/ubuntu-19-10-audio-driver-issue
- https://askubuntu.com/questions/1217949/ubuntu-no-sound-dummy-output-and-no-sound-card-detected

I apologize if this is the wrong place/issue, this is the closest I could find in the tracker

Revision history for this message
Hui Wang (hui.wang) wrote :

Please wait for the 5.3.0-43 kernel, and it is already in the -propose. please refer to:

https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/1859754/comments/66

Revision history for this message
Akkana Peck (akkzilla) wrote :

> Please add "options snd-hda-intel dmic_detect=0" in the /etc/modprobe.d/alsa-base.conf, then the legacy hda driver will work as before.

That workaround doesn't work on my Lenovo Carbon X1 gen7. It does let pavucontrol see the audio card again, but no adjustment in pavucontrol, alsamixergui or amixer actually results in audible sounds. Sound worked before my last dist-upgrade.

Revision history for this message
Hui Wang (hui.wang) wrote :

Akkana,

Could you upload your dmesg, or could you install 5.3.0-43 kernel, and with -43 kernel, you could remove dmic_detect=0 or keep it.

Revision history for this message
Akkana Peck (akkzilla) wrote :

Here's dmesg after booting with 5.3.0-42-generic, with options snd-hda-intel dmic_detect=0 appended to the end of /etc/modprobe.d/alsa-base.conf.

If I reboot into 5.3.0-40-generic, sound plays fine (of course the mic isn't detected, which I think is a well known bug).

Where would I get the 5.3.0-43 package? Do I also need the alsa-lib package mentioned in https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/1859754/comments/66 ?

Revision history for this message
Hui Wang (hui.wang) wrote :

@Akkana,

I can't find any problems from your dmesg. Since -42 has regression, let us test -43 kernel, you could enable proposed then run apt-get update, you will find the -43 kernel. And please install the alsa-lib of #66 I mentioned.

How to enable proposed, please refer to: https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/1859754/comments/49

Revision history for this message
Akkana Peck (akkzilla) wrote :

Thanks -- looks like it's working!

For anyone else with this problem, I enabled proposed (as found in https://wiki.ubuntu.com/Testing/EnableProposed), then ran apt install for:

linux-generic/eoan-proposed linux-headers-generic/eoan-proposed linux-image-generic/eoan-proposed linux-libc-dev/eoan-proposed linux-signed-generic/eoan-proposed linux-firmware libasound2

which ended up installing/upgrading:
  linux-headers-5.3.0-43 linux-headers-5.3.0-43-generic
  linux-image-5.3.0-43-generic linux-modules-5.3.0-43-generic
  linux-modules-extra-5.3.0-43-generic
  libasound2 libasound2-data libasound2-dev linux-firmware

I did NOT blacklist snd_soc_skl and snd_hda_intel in the /etc/modprobe.d/blacklist.conf since the comment said "after linux-image-5.3.0-43-generic is ready, the blacklist is not needed
anymore".

I kept the "options snd-hda-intel dmic_detect=0" that I had previously added to /etc/modprobe.d/alsa-base.conf, didn't try removing it.

Sound works again, pavucontrol sees the devices it saw in -40, amixer can control volume again.

It still doesn't see the built-microphone, but that's a different bug that I think is targeted for 20.04.

Revision history for this message
Giovanni (aka Vanni) Totaro (vanni-totaro) wrote :

I can confirm too that -43 from proposed combined with alsa-base options in modprobe work.

Revision history for this message
Renaud Delaplace (renauddelaplace) wrote :

Working on a HP Elitebook 830 G6 under Ubuntu 19 I faced the sound issue.
My sound card was not detesnd_soc_sklcted.
I am therefore using the workaround "options snd-hda-intel dmic_detect=0"
I noticed blacklisting snd_soc_skl was not needed.
This way my laptop's speaker are working.
Now I also need my laptop's microphone to work, especially in those days of home office.

So I tried installing the linux-image-unsigned-5.3.0-43-generic_5.3.0-43.36~18.04.2_arm64.deb
and removing the dmic detect options, but same issue : still no microphone and no speaker.
Plus no Wifi card anymore...

Are you aware of that? or did I miss something about the fix in the -43 kernel ?

Revision history for this message
Hui Wang (hui.wang) wrote :

@Renaud,

No Speaker? I could understand there is no microphone. Maybe the sound driver sof fails to load firmware or topology, then you will get a dummy sound card (no speaker and no microphone). Please check your dmesg, it will tell you what is wrong for the sound driver.

And even the driver sof could work, I guess you will not get the microphone since to get the internal microphone, alsa-lib also needs to load a ucm specific to your machine, since we didn't enable the HP machines with the internal mic connected to PCH/DSP, there is no ucm for HP machines yet.

Revision history for this message
Logix (logix2) wrote :

Any idea how to get the mic working after applyying the workaround?

Revision history for this message
Hui Wang (hui.wang) wrote :

@Logix,

Wait for the -46 kernel, then remove the workaround.

thx.

Revision history for this message
roland (roland-micite) wrote :

@hui.wang and @logix2

I'm on Linux MiX 5.3.0-46-generic without the workaround.
It detects my card as: sof-skl_hda_car - sof-skl_hda_card

I had to run 'alsamixer' in the commandline, select 'capture' i.e. F4 and turn Mic Boost up and down.

And.. The mic worked only once. After one capture was complete I couldn't get other captures to work.

Revision history for this message
Janos Nuspl (nyuszi55) wrote :

I also have a problem with the microphone, it doesn't work.
I have made the workaround (dmic_detect=0) and the sound is working but there is no mic.
My laptop is an Acer Swift 3 with the newest Intel CPU. /The headset is working but from home-office, I should use the built-in mic and speaker.
Ubuntu 18.04.4 LTS was installed onto that.
We need a working solution with a clear description, please.
(the location of the file where we should write some option - in full form)
We must work and we are not a Linux geek knowing all of the details of kernel boot process etc.
If we have to install an unofficial kernel how can we do it and what will happen if it became an official version?

Revision history for this message
Hui Wang (hui.wang) wrote :

@roland and Janos,

To make the internal mic work, removing the dmic_detect=0 is not enough, also needs a workable ucm to cover your machine (/usr/share/alsa/ucm/). So far we try to cover all machines which are certified by ubuntu.

@Janos,
you could take a look at /usr/share/alsa/ucm/sof-skl_hda_card

@roland,
what is your machine?

Revision history for this message
Hui Wang (hui.wang) wrote :

@roland and Janos,

For ucm, please refer to https://bugs.launchpad.net/bugs/1868210 and https://bugs.launchpad.net/bugs/1859754, if current ucm doesn't cover your machine, you could do some change based on existing ucm, then SRU them to ubuntu 19.10 and 18.04.

For ubuntu 20.04, since the alsa-lib supports the ucm2, we could use one single ucm to cover all machines. So we will not have this trouble under 20.04.

Revision history for this message
roland (roland-micite) wrote :

@hui.wang

I have a lenovo X1 7th gen; 20QD.

Alsamixer reports /proc/asound/cards as:
sof-skl_hda_car - sof-skl_hda_card
LENOVO-20QDCTO1WW-ThinkPadX1Carbon7th-20QDCTO1WW

There are some changes between what I see today in alsamixer and what was shown before.
Alsamixer now shows these levels after a reboot.
name level
Mic Boost 53
PGA10.0 10 83
PGA11.0 11 83
PGA2.0 2 Ma 46
PGA4.0 4 MA 32

Revision history for this message
roland (roland-micite) wrote :

You mention that Alsa will 'just work' with ucm2.
It sounds like my best strategy now is to wait for Ubuntu 20.04.

Revision history for this message
Hui Wang (hui.wang) wrote :

The x1c7 should be supported. please refer to https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/1868210

Revision history for this message
Janos Nuspl (nyuszi55) wrote :

@hui.wang

I've performed the suggested upgrade in .../1868210 but the issue is the same. So, we are waiting for the solution. (BTW 'we' means me and my colleagues struggling with the same.)
thanks

Revision history for this message
Hui Wang (hui.wang) wrote :

@Janos,

Since it is a Acer laptop, it is highly possible that the existing ucm doesn't support your machine. please refer to /usr/share/alsa/ucm/sof-skl_hda_card/*.conf and do a bit change on them according to your machine.

Revision history for this message
Moritz Ringler (j-ubuntuone-k) wrote :

I am having this problem (only dummy output) on ubuntu 19.10 with linux kernel 5.3.0.45.38. After booting I can make the output show up and work by running
pulseaudio -k && sudo alsa force-reload
Maybe that workaround helps other people suffering from this problem until a fix is available.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (49.1 KiB)

This bug was fixed in the package linux - 5.3.0-46.38

---------------
linux (5.3.0-46.38) eoan; urgency=medium

  * eoan/linux: 5.3.0-43.36 -proposed tracker (LP: #1867301)

  * Fix AMD Stoney Ridge screen flickering under 4K resolution (LP: #1864005)
    - iommu/amd: Disable IOMMU on Stoney Ridge systems

  * Allow BPF tracing under lockdown (LP: #1868626)
    - Revert "UBUNTU: SAUCE: (efi-lockdown) Lock down kprobes"
    - Revert "bpf: Restrict bpf when kernel lockdown is in confidentiality mode"

  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * iSCSI-target: Deleting a LUN hangs in the kernel (LP: #1862682)
    - scsi: Revert "target/core: Inline transport_lun_remove_cmd()"

  * Stop using get_scalar_status command in Dell AIO uart backlight driver
    (LP: #1865402)
    - SAUCE: platform/x86: dell-uart-backlight: add get_display_mode command

  * Eoan update: upstream stable patchset 2020-03-11 (LP: #1867051)
    - Revert "drm/sun4i: dsi: Change the start delay calculation"
    - ovl: fix lseek overflow on 32bit
    - kernel/module: Fix memleak in module_add_modinfo_attrs()
    - media: iguanair: fix endpoint sanity check
    - ocfs2: fix oops when writing cloned file
    - x86/cpu: Update cached HLE state on write to TSX_CTRL_CPUID_CLEAR
    - udf: Allow writing to 'Rewritable' partitions
    - printk: fix exclusive_console replaying
    - iwlwifi: mvm: fix NVM check for 3168 devices
    - sparc32: fix struct ipc64_perm type definition
    - cls_rsvp: fix rsvp_policy
    - gtp: use __GFP_NOWARN to avoid memalloc warning
    - l2tp: Allow duplicate session creation with UDP
    - net: hsr: fix possible NULL deref in hsr_handle_frame()
    - net_sched: fix an OOB access in cls_tcindex
    - net: stmmac: Delete txtimer in suspend()
    - bnxt_en: Fix TC queue mapping.
    - tcp: clear tp->total_retrans in tcp_disconnect()
    - tcp: clear tp->delivered in tcp_disconnect()
    - tcp: clear tp->data_segs{in|out} in tcp_disconnect()
    - tcp: clear tp->segs_{in|out} in tcp_disconnect()
    - rxrpc: Fix use-after-free in rxrpc_put_local()
    - rxrpc: Fix insufficient receive notification generation
    - rxrpc: Fix missing active use pinning of rxrpc_local object
    - rxrpc: Fix NULL pointer deref due to call->conn being cleared on disconnect
    - media: uvcvideo: Avoid cyclic entity chains due to malformed USB descriptors
    - mfd: dln2: More sanity checking for endpoints
    - ipc/msg.c: consolidate all xxxctl_down() functions
    - tracing: Fix sched switch start/stop refcount racy updates
    - rcu: Avoid data-race in rcu_gp_fqs_check_wake()
    - brcmfmac: Fix memory leak in brcmf_usbdev_qinit
    - usb: typec: tcpci: mask event interrupts when remove driver
    - usb: gadget: legacy: set max_speed to super-speed
    - usb: gadget: f_ncm: Use atomic_t to track in-flight request
    - usb: gadget: f_ecm: Use atomic_t to track in-flight request
    - ALSA: usb-audio: Fix endianess in descriptor validatio...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Revision history for this message
Wesley Rodrigues Machado (wesleyrm) wrote :

I didn't have any problems until some hours ago (I believe it started after updating to kernel -46). Now I'm riding this boat. Nothing helps, already tried everything, even regression to kernel -40.

Before reinstalling alsa-base, my Audio Driver showed up as snd_hda_intel, but now it just shows up as N/A.

Notebook is a Dell Inspiron 5458. Using Ubuntu 19.10.

Also added these to alsa-base.conf:

options snd-hda-intel dmic_detect=0
blacklist snd_soc_skl
blacklist snd_hda_intel

Thanks in advance!

Revision history for this message
Wesley Rodrigues Machado (wesleyrm) wrote :

Did a modprobe snd-hda-intel and unblacklisted snd_hda_intel, audio works!! My bad for disturbing, anyway, thanks!

Revision history for this message
Peter Albrecht (rocketeer99) wrote :

For what it's worth, my audio devices all still appear as "dummy output" on my Dell G3 15 3590 running 5.3.0-46-generic. Sound works perfectly on 5.3.0-40 and before. I have not applied any workarounds to the system.

Please let me know what I can do to help debug.

Revision history for this message
Hendy Irawan (ceefour) wrote :

I'm on Linux amanah 5.3.0-46-generic #38~18.04.1-Ubuntu SMP Tue Mar 31 04:17:56 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

HP Spectre x360
Intel® Core™ i7-8565U CPU @ 1.80GHz × 8
Intel® UHD Graphics (Whiskey Lake 3x8 GT2)

No modifications to modprobe

[*] Laptop speaker working
[ ] Microphone not working
[ ] HDMI audio not working

Revision history for this message
Hui Wang (hui.wang) wrote :

@Peter Albrecht & Hendy,

Please upload the dmesg and alsa-info.txt.

Revision history for this message
Peter Albrecht (rocketeer99) wrote :

I can only attach one file per reply, so I appended the full dmesg to the end of alsa-info.

Please let me know if I can add any other info.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Peter,

Your machine is a coffeelake platform. please manually generate a symbolink for firmware "sudo ln -s /lib/firmware/intel/sof/sof-cnl.ri /lib/firmware/intel/sof/sof-cfl.ri", reboot.

Or put "options snd-hda-intel dmic_detect=0" in the /etc/modprobe.d/alsa-base.conf, reboot

Revision history for this message
braincoke (braincoke) wrote :

I have an Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz, with 5.3.0-46-generic #38~18.04.1-Ubuntu.
My HDMI and Display Port audio were not working. Putting "options snd-hda-intel dmic_detect=0" in the /etc/modprobe.d/alsa-base.conf and rebooting solved the problem.

Thanks Hui Wang !

Revision history for this message
Peter Albrecht (rocketeer99) wrote :

Adding "options snd-hda-intel dmic_detect=0" to the end of /etc/modprobe.d/alsa-base.conf fixes the sound issue, but added some internal errors that appear to have been resolved by a simple apt update && apt upgrade.

Thanks much!

Revision history for this message
javi (jgpazos) wrote :

Same problem with Ubuntu 19.10 Lenovo Ideapad 320-15IAP Kernel 5.3.0-46.

None of the proposed solutions have worked. Same problem with Dummy Sound inside Gnome. I can see card and output with alsamixer.

Thanks in advance.

uname -a
Linux homeserver 5.3.0-46-generic #38-Ubuntu SMP Fri Mar 27 17:37:05 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

sudo lspci -vv
00:00.0 Host bridge: Intel Corporation Celeron N3350/Pentium N4200/Atom E3900 Series Host Bridge (rev 0b)
 Subsystem: Lenovo Celeron N3350/Pentium N4200/Atom E3900 Series Host Bridge
...
00:0e.0 Audio device: Intel Corporation Celeron N3350/Pentium N4200/Atom E3900 Series Audio Cluster (rev 0b) (prog-if 80)
 Subsystem: Lenovo Celeron N3350/Pentium N4200/Atom E3900 Series Audio Cluster
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 130
 Region 0: Memory at 91410000 (64-bit, non-prefetchable) [size=16K]
 Region 4: Memory at 91100000 (64-bit, non-prefetchable) [size=1M]
 Capabilities: [50] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [80] Vendor Specific Information: Len=14 <?>
 Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
  Address: 00000000fee01004 Data: 4028
 Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0
   ExtTag- RBE-
  DevCtl: CorrErr- NonFatalErr- FatalErr- UnsupReq-
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- NonFatalErr- FatalErr- UnsupReq- AuxPwr+ TransPend-
 Kernel driver in use: snd_hda_intel
 Kernel modules: snd_hda_intel, sof_pci_dev
...

Revision history for this message
javi (jgpazos) wrote :
Download full text (74.8 KiB)

These are my dmesg and alsa-base.conf

dmesg:

[ 0.000000] microcode: microcode updated early to revision 0x38, date = 2019-
01-15
[ 0.000000] Linux version 5.3.0-46-generic (buildd@lgw01-amd64-003) (gcc vers
ion 9.2.1 20191008 (Ubuntu 9.2.1-9ubuntu2)) #38-Ubuntu SMP Fri Mar 27 17:37:05 U
TC 2020 (Ubuntu 5.3.0-46.38-generic 5.3.18)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-5.3.0-46-generic root=UUID
=6648ead1-09e3-461e-a036-5cb58e11ab8b ro quiet splash vt.handoff=7
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Hygon HygonGenuine
[ 0.000000] Centaur CentaurHauls
[ 0.000000] zhaoxin Shanghai
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point regi
sters'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x010: 'MPX CSR'
[ 0.000000] x86/fpu: xstate_offset[3]: 576, xstate_sizes[3]: 64
[ 0.000000] x86/fpu: xstate_offset[4]: 640, xstate_sizes[4]: 64
[ 0.000000] x86/fpu: Enabled xstate features 0x1b, context size is 704 bytes,
 using 'compacted' format.
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009e7ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009e800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000000fffffff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000010000000-0x0000000012150fff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000012151000-0x0000000067b4ffff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000067b50000-0x0000000067b50fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x0000000067b51000-0x0000000067b6afff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000067b6b000-0x0000000067ba6fff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000067ba7000-0x0000000068ba6fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x0000000068ba7000-0x000000007822efff] usable
[ 0.000000] BIOS-e820: [mem 0x000000007822f000-0x000000007aebefff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000007aebf000-0x000000007afbefff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x000000007afbf000-0x000000007affefff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x000000007afff000-0x000000007affffff] usable
[ 0.000000] BIOS-e820: [mem 0x000000007b000000-0x000000007fffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000d0000000-0x00000000d0ffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e3ffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fe042000-0x00000000fe044fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fe900000-0x00000000fe902fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ff800000-0x00000000ffffffff] reserved
[ 0....

Revision history for this message
Set Hallstrom (sakrecoer) wrote :

5.3.0-46-generic did not fix. Still need the workaround.

Revision history for this message
javi (jgpazos) wrote :

Ok, thank you for your answer. Tried with workarounds mentioned and not working.

Regards

Revision history for this message
Set Hallstrom (sakrecoer) wrote :

Sorry Javi and everyone else... i should have specified "did not fix _for me_" and "_I_ still need the workaround...

Maybe it fixes for someone, but i'm clearly not one of them.

Javi: just to be sure, is this the workarround you tried? https://bugs.launchpad.net/ubuntu/+source/linux-oem-osp1/+bug/1864061/comments/9

Revision history for this message
StraToN (the-straton) wrote :

Affected by this same bug.

Workaround described on https://bugs.launchpad.net/ubuntu/+source/linux-oem-osp1/+bug/1864061/comments/9 did not do the trick either.

The only solution that worked (but not always, sometimes it just duplicates "Dummy output") was `pulseaudio -k && sudo alsa force-reload`.

Revision history for this message
javi (jgpazos) wrote :

I have found the solution for me finally!

My conflict was with my home assistant installation when alsa and pulseaudio were conflicting with hassio_audio container.

For anyone with the same problem you can refer to: https://community.home-assistant.io/t/audio-not-working-after-installing-hass-io-in-docker/178858/3

Thank you very much to everyone!

Revision history for this message
Louis Rossouw (lrossouw) wrote :

On 5.3.0-46-generic had this issue on Lenovo C930.

Adding "options snd-hda-intel dmic_detect=0" in the /etc/modprobe.d/alsa-base.conf got me sound again.

Revision history for this message
John Hart (jlhart68) wrote :

I have had this since I upgraded from U18.04 to U20.04. I am using kernel 5.4.0-7626-generic #30~1588169883~20.04~bbe668a-Ubuntu. I can get my sound/mic input to work after using the following command: sudo apt install --reinstall alsa-base alsa-utils pulseaudio linux-sound-base libasound2
sudo alsa force-reload
pulseaudio --start
That makes it work until i LOG OUT, then it is all gone and when I restart I am back to Dummy Output.
This is frustrating. What is the patch or fix?

Revision history for this message
Hui Wang (hui.wang) wrote :

@John Hart,

Did you install the timidity on your machine? If yes, please uninstall it.

Revision history for this message
Hui Wang (hui.wang) wrote :

@Moritz,

It is difficult to say sth without the log of your machine, could you please open a new bug and run apport-collect $bug_number to upload the log.

thx.

Revision history for this message
Christian (cmbernard333) wrote :
Download full text (8.5 KiB)

I am still affected by this bug on focal with intel gpu/hda on kernel 5.4.0-26

Adding the value to /etc/modprobe.d/alsa-base.conf does not help me

Linux Ashen-One 5.4.0-26-generic #30-Ubuntu SMP Mon Apr 20 16:58:30 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
➜ ~ lspci -v
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 05)
 Subsystem: Acer Incorporated [ALI] Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers
 Flags: bus master, fast devsel, latency 0
 Capabilities: <access denied>
 Kernel driver in use: skl_uncore

00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 05) (prog-if 00 [Normal decode])
 Flags: bus master, fast devsel, latency 0, IRQ 122
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 00004000-00004fff [size=4K]
 Memory behind bridge: a3000000-a3ffffff [size=16M]
 Prefetchable memory behind bridge: 0000000090000000-00000000a1ffffff [size=288M]
 Capabilities: <access denied>
 Kernel driver in use: pcieport

00:02.0 VGA compatible controller: Intel Corporation HD Graphics 630 (rev 04) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] HD Graphics 630
 Flags: bus master, fast devsel, latency 0, IRQ 131
 Memory at a2000000 (64-bit, non-prefetchable) [size=16M]
 Memory at b0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 5000 [size=64]
 Expansion ROM at 000c0000 [virtual] [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31) (prog-if 30 [XHCI])
 Subsystem: Acer Incorporated [ALI] 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller
 Flags: bus master, medium devsel, latency 0, IRQ 126
 Memory at a4300000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: xhci_hcd

00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
 Subsystem: Acer Incorporated [ALI] 100 Series/C230 Series Chipset Family Thermal Subsystem
 Flags: bus master, fast devsel, latency 0, IRQ 18
 Memory at a432a000 (64-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>
 Kernel driver in use: intel_pch_thermal
 Kernel modules: intel_pch_thermal

00:15.0 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Serial IO I2C Controller #0 (rev 31)
 Subsystem: Acer Incorporated [ALI] 100 Series/C230 Series Chipset Family Serial IO I2C Controller
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at a432b000 (64-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>
 Kernel driver in use: intel-lpss
 Kernel modules: intel_lpss_pci

00:15.1 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Serial IO I2C Controller #1 (rev 31)
 Subsystem: Acer Incorporated [ALI] 100 Series/C230 Series Chipset Family Serial IO I2C Controller
 Flags: bus master, fast devsel, latency 0, IRQ 17
 Memory at a432c000 (64-bit, non-prefetchable) ...

Read more...

Revision history for this message
Moritz Ringler (j-ubuntuone-k) wrote :

As asked by @Hui Wang, I have created a separate bug #1880571 for my problem on focal fossa and run apport-collect. As the data collected by apport showed that timidity was running I have uninstalled timidity and this seems to have fixed the problem: audio output was immediately restored, and after each of three reboots (the last of which after removing "options snd-hda-intel dmic_detect=0" from /etc/modprobe.d/alsa-base.conf), audio output was available right after logging in.

So my problem really seems to be a bug in timidity.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers